Subject: Re: [PATCH v4 27/73] gettextize: git-commit formatting messages

From: Jonathan Nieder <[email-masked]>
Date: Fri, 25 Feb 2011 15:35:05 -0600

Junio C Hamano wrote:

> It might be a good idea to introduce status_print{,_ln,_more} wrapper
> functions around color_vfprintf()

My main obstacle to sending this was lack of good names for the
relevant functions. :)

>  - Another advantage is that this makes it easier for us to drop "#"
>    prefix in "git status" output in later versions of git if we wanted to.
>
> In "git commit" template, these lines need to be made into comments, but
> there is no reason, other than that we are sooooo used to seeing these
> lines prefixed with "# ", in "git status" output.

Good point.  Expect patches soon (for the status_print*, not "#" removal
from output).